<?
  $error = '';
  $message = '';
  if (!isset($state)) { $state=''; }
  if ($state == 'enter')
  {
      while (1) // Konstrukt, um 'break' benutzen zu können
      {
      if ($adminpassword != $adminpassword2)
      {
          $error = "Passworte stimmen nicht &uuml;berein";
          break;
      }
      if (!$adminname)
      {
          $error = "Bitte geben Sie einen Namen ein";
          break;
      }
      if (!$adminlogin)
      {
          $error = "Bitte geben Sie einen Loginnamen ein";
          break;
      }
      if (!$adminpassword)
      {
          $error = "Bitte geben Sie ein Passwort ein";
          break;
      }
      if (!$role)
      {
          $error = "Bitte geben Sie eine Rolle an";
          break;
      }
      break;
      }
      if (! $error) {
          $newadmin = new admin();
          $newadmin->name = $adminname;
          $newadmin->email = $email;
          $newadmin->login = $adminlogin;
          $newadmin->windowslogin = $windowslogin;
          $newadmin->password = $adminpassword;
          $newadmin->role = $role;
          $newadmin->ipcheck = $ipcheck;
          $newadmin->ersteller = $loggedIn->userId;
          $newadmin->insertData();
          $message = "Der Benutzer $adminlogin wurde erfolgreich angelegt.";
      }
  }

  if ($state == '' )
  {
     $ipcheck=$ipcheck==''?'1':$ipcheck;
     // Zeige Bearbeiterliste
     include("views/$module/new.php");
  }
?>
